RegexTask (Ant Contrib)
Keywords: net.sf.antcontrib.property.RegexTask,RegexTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.property
Class RegexTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--net.sf.antcontrib.property.AbstractPropertySetterTask
                        |
                        +--net.sf.antcontrib.property.RegexTask

public class RegexTask
extends AbstractPropertySetterTask

Place class description here.

Since:
Author:
  Inger,

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`RegexTask()`

Method Summary
`org.apache.tools.ant.types.RegularExpression` | `createRegexp()`
`org.apache.tools.ant.types.Substitution` | `createReplace()`
`protected java.lang.String` | `doReplace()`
`protected java.lang.String` | `doSelect()`
`void` | `execute()`
`void` | `setCaseSensitive(boolean caseSensitive)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setGlobal(boolean global)`
`void` | `setInput(java.lang.String input)`
`void` | `setRegexp(java.lang.String regex)`
`void` | `setReplace(java.lang.String replace)`
`void` | `setSelect(java.lang.String select)`
`protected void` | `validate()`

Methods inherited from class net.sf.antcontrib.property.AbstractPropertySetterTask
`setOverride, setProperty, setPropertyValue`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTask

    public RegexTask()

Method Detail

### setInput

    public void setInput(java.lang.String input)

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### setRegexp

    public void setRegexp(java.lang.String regex)

### createRegexp

    public org.apache.tools.ant.types.RegularExpression createRegexp()

### setReplace

    public void setReplace(java.lang.String replace)

### createReplace

    public org.apache.tools.ant.types.Substitution createReplace()

### setSelect

    public void setSelect(java.lang.String select)

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

### setGlobal

    public void setGlobal(boolean global)

### doReplace

    protected java.lang.String doReplace()
                                  throws org.apache.tools.ant.BuildException

    `org.apache.tools.ant.BuildException`

### doSelect

    protected java.lang.String doSelect()
                                 throws org.apache.tools.ant.BuildException

    `org.apache.tools.ant.BuildException`

### validate

    protected void validate()

  Overrides:
    `validate` in class `AbstractPropertySetterTask`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD